import { type NumberArray } from 'cheminfo-types';
export interface RegressionScore {
    r: number;
    r2: number;
    chi2: number;
    rmsd: number;
}
export declare class BaseRegression {
    constructor();
    predict(x: number): number;
    predict(x: NumberArray): number[];
    _predict(x: number): number;
    train(): void;
    toString(precision?: number): string;
    toLaTeX(precision?: number): string;
    /**
     * Return the correlation coefficient of determination (r) and chi-square.
     * @param x - explanatory variable
     * @param y - response variable
     * @return - Object with further statistics.
     */
    score(x: NumberArray, y: NumberArray): RegressionScore;
}
//# sourceMappingURL=BaseRegression.d.ts.map