"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkArrayLength = void 0;
const is_any_array_1 = require("is-any-array");
/**
 * Check that x and y are arrays with the same length.
 * @param x - first array
 * @param y - second array
 * @throws if x or y are not the same length, or if they are not arrays
 */
function checkArrayLength(x, y) {
    if (!(0, is_any_array_1.isAnyArray)(x) || !(0, is_any_array_1.isAnyArray)(y)) {
        throw new TypeError('x and y must be arrays');
    }
    if (x.length !== y.length) {
        throw new RangeError('x and y arrays must have the same length');
    }
}
exports.checkArrayLength = checkArrayLength;
//# sourceMappingURL=checkArrayLength.js.map