"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeToPrecision = void 0;
/**
 * Cast `number` to string. Optionally `digits` specifies significant figures.
 * @param number
 * @param figures
 * @returns - A string representation of `number`.
 */
function maybeToPrecision(number, figures) {
    if (number < 0) {
        number = 0 - number;
        if (typeof figures === 'number') {
            return `- ${number.toPrecision(figures)}`;
        }
        else {
            return `- ${number.toString()}`;
        }
    }
    else if (typeof figures === 'number') {
        return number.toPrecision(figures);
    }
    else {
        return number.toString();
    }
}
exports.maybeToPrecision = maybeToPrecision;
//# sourceMappingURL=maybeToPrecision.js.map